# std::_Safe_tuple_element_impl< __i, _Tuple, _IsSafe > Struct Template Reference

## Detailed Description

### template<int __i, typename _Tuple, bool _IsSafe>
struct std::_Safe_tuple_element_impl< __i, _Tuple, _IsSafe >

Implementation helper for _Safe_tuple_element. This primary template handles the case where it is safe to use `tuple_element`.

Definition at line 916 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional